function PutOutTextFileRose(HeaderText,DataIn,FileOut)
%
%  PutOutTextFileRose(HeaderText,DatatIn,FileOut);
%
%  Puts out a file associated with the rose plots
%
%  Does using the header information on the plots
%
%  File created in the current directory
%
%  HeaderText is a cell array
%  DataIn is a numerical array
%
%
%  Contact Info:  Chris Halle
%                 cmhalle@ucdavis.edu
%
% Code governed by the same public license as the HF Radar Toolbox:
%  Basically, let others know if you update it!
%
% Copyright (C) 2008 Chris Halle
% Licence: GPL (Gnu Public License)
%
%
fid=fopen(FileOut,'a');
%
if fid<=0,
    disp('could not open log file')
    return;
end
%
for jcell=1:numel(HeaderText),
    fprintf(fid,'%s',char(HeaderText{jcell}));
    fprintf(fid,'\r\n ');
end
%
NewText=['AngleStart AngleEnd   SpeedStart SpeedEnd   Percent'];
fprintf(fid,'%s',NewText);
fprintf(fid,'\r\n ');
%
[DataRows,DataCols]=size(DataIn);
%
for jrow=1:DataRows,
    %
    fprintf(fid,'%10.4f %10.4f %10.4f %10.4f %10.4f',DataIn(jrow,:));
    fprintf(fid,'\r\n ');
    %
end
%
fclose(fid);
%
return;
%
